Get the organization license information

This is for:

System Administrator
In this article

Each Coveo organization has a license that limits its usage of the Coveo Platform. Retrieving this license information can be useful in several cases, such as when checking whether the organization is allowed to create a certain type of source.

The Get the organization license operation lets you retrieve license information about a specific Coveo organization. If you’re looking to monitor your organization’s usage against its limits, see Get the organization limit status instead.

Request template

GET https://platform.cloud.coveo.com/rest/organizations/<MyOrganizationId>/license HTTP/1.1

Accept: application/json
Authorization: Bearer <MyAccessToken>

In the request path, replace <MyOrganizationId> with your organization ID.

In the Authorization HTTP header, replace <MyAccessToken> with an access token that grants the privilege to view the target Coveo organization (that is, the View access level on the Organization domain). See Get your Coveo access token and Get the privileges of an access token for more information.

The body of a successful response contains the license organization of the target Coveo organization.

Sample request

Getting the license information of a Coveo organization

GET https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/license HTTP/1.1

Accept: application/json
Authorization: Bearer **********-****-****-****-************

Successful response - 200 OK

{
  "expirationDate": 1509076800000,
  "monitoringLevel": "REGULAR_MONITORING",
  "connectors": [
    {
      "type": "AMAZONS3",
      "allowed": true,
      "sourceVisibilities": [
        "PRIVATE",
        "SHARED"
      ],
      "allowedSchedules": [
        {
          "refreshType": "FULL_REFRESH",
          "scheduleFrequencies": [
            "HOURLY",
            "DAILY",
            "WEEKLY",
            "MONTHLY"
          ]
        }
      ]
    },
    {
      "type": "PUSH",
      "allowed": true,
      "sourceVisibilities": [
        "PRIVATE",
        "SECURED",
        "SHARED"
      ]
    },
    [ ... ]
  ],
  "properties": {
    "IsAnalyticsLoggingEnabled": true,
    "IsMonthlyQueriesLimited": false,
    "OtherDocumentsLimit": 0,
    "IsRuleEditorEnabled": true,
    "IsOtherDocumentsLimited": false,
    "usageAnalytics": {
      "limitNumberOfEvents": false,
      "queriesPerHourLimit": 3000,
      "applyDataRetention": false,
      "permissionFilterLimit": 100,
      "monthlyEventsLimit": 300000000,
      "dailyEventsLimit": 10000000,
      "customDimensionLimit": 25,
      "limitAPIUsage": false,
      "namedFilterLimit": 400,
      "reportLimit": 500,
      "exportScheduleLimit": 25,
      "dataRetentionPeriod": "P3Y",
      "exportLimit": 25
    },
    "IsContentPersonalizationEnabled": true,
    "IsPushDocumentsLimited": false,
    "IsExternalContentEnabled": true,
    "content": {
      "licenseExtensionsLimit": 10,
      "numberOfExtensionsPerSourceLimit": 20,
      "numberOfSourcesLimit": 15,
      "numberOfSecurityProvidersLimit": 15,
      "numberOfMappingPerSourcesLimit": 2500
    },
    "IsMirrorsLimited": false,
    "IsLayoutPersonalizationEnabled": true,
    "PushDocumentsLimit": 200000,
    "MonthlyQueriesLimit": 50000,
    "MirrorsLimit": 0,
    "licenseExtensionsLimit": 10,
    "organization": {
      "numberOfSubscriptionsPerOrganizationLimit": 100,
      "numberOfSubscriptionsPerUserLimit": 5,
      "numberOfDailyEmailNotificationsSentPerOrganizationLimit": 2000
    },
    "PublicTemplate": false,
    "IsDmsConditionalRenderingEnabled": true
  },
  "type": "InternalOnly"
}